Why does the Zend Server for IBM i Licensed Program show V5R4M0?

Follow

Issue

The Zend Server for IBM i version keeps going up, but in the "Display Installed Licensed Programs" display it always shows Installed Release "V5R4M0".  Customers sometimes ask why the release does not match the IBM i OS version, or why the release does not match the version for Zend Server.  They sometimes ask if they have the wrong version installed, thinking this indicates the installed version is only compatible with V5R4.  They also sometimes ask why we show V5R4, when this version of IBM i is not even supported by Zend or IBM any more.  This article will answer these questions.

Environment

Any version of Zend Server for IBM i, running on any supported version of IBM i.

Details

Quite some time ago Zend R&D began providing updates for Zend Server using the IBM PTF utility.  This is a nice feature that allows updates to be applied using the familiar LODPTF and APYPTF commands, and even allows for backing off the updates using RMVPTF.

The PTF utility was never conceived to be a vehicle for version upgrades.  PTF stands for Program Temporary Fix, and was conceived as a way to apply patches to an existing version.  Since IBM supports multiple versions of the OS on IBM i, and many PTFs would not necessarily apply to all releases, the PTF process includes an edit to validate the Installed Release of the PTF and match it against the Installed Release of the Licensed Program.  A mismatch causes the APYPTF to fail.  This works pretty well for IBM i releases, that tend to show up every couple of years, and are not installed using the PTF utility.

At Zend, we put out a few releases each year, and we like the idea of using the PTF utility to not just update existing versions, but also to upgrade to new versions.  We found we could do this as long as we did not ever change the Installed Release attached to our Zend Server installations.  And so, it was originally V5R4M0, and we just kept it at V5R4M0.  This allows us to provide a very convenient method to both update and upgrade Zend Server for IBM i, while causing no technical problem whatsoever.  The only problem it does cause is some occasional confusion, which can be corrected simply by explaining.

For the purposes of Zend Server, the "Installed Release" field shown on the "Display Installed Licensed Programs" display is completely nominal.  This piece of data is not used by our software in any way.  Our only consideration is to leave it alone and not change it.  We use other edits in our installer to prevent inappropriate installations.

Q: Why does the Installed Release not match the IBM i OS version, or why does it not match the version for Zend Server?

A: The Installed Release is nominal.  It does not need to match the IBM i OS version nor the Zend Server version.  The Zend Server version is always visible in the "Description" field on the Display Installed Licensed Programs" display.

Q: Is the wrong version of Zend Server installed?  Is the installed version only compatible with V5R4?

A: No, and no. We do not create different distributions of Zend Server for different versions of IBM i.  We just provide the one distribution that will work on any supported version of IBM i.  We do occasionally drop support for versions of IBM i, usually around the same time IBM drops support (not necessarily extended support, just regular support), for a version. 

Q: Then how do I know the version of Zend Server I am upgrading to supports the version of IBM i I am running?

A: This information is found in the installation notes.  Also, when we drop support for an IBM i version, we try to make kind of a big deal about it, so people will know.  The main way we tell people is in the email newsletter we send around to our IBM i customers.  You have to opt in to get the newsletter, so if you are not getting it, you really should:

Get email notifications when Zend Server for IBM i updates are available

Also, we put edits in the updater to detect the IBM i version and halt the installation if the IBM i version is not supported for the Zend Server for IBM i release.

Q: Why does the Installed Release show V5R4, when this version of IBM i is not even supported by Zend or IBM any more?

A: Because if we change it, it will break our ability to upgrade our releases using the PTF utility.  Leaving it unchanged will cause no adverse affect.  So we will leave it at V5R4M0, probably forever, or, at least, for a very long time, because it works fine just the way it is.

Q: I just read all of this, and I have no idea what you are talking about.  Where would I see V5R4M0 next to the Zend Server for IBM i product?

A:  From a 5250 command line, with sufficient authority:

go licpgm

Use option "10. Display installed licensed programs".  This brings up the "Display Installed Licensed Programs" display.  Use F11 once to display the "Installed Release" column.  Page down until you find Zend Server, usually towards the very end.  Here is an example of the last page of this display on a partition running V7R1:

                      Display Installed Licensed Programs           
                                                             System:
 Licensed  Installed                                                
 Program   Release     Description                                  
 5770XE1   V7R1M0      IBM i Access for Windows                     
 5770XW1   V7R1M0      IBM i Access Family                          
 5770XW1   V7R1M0      IBM i Access Enablement Support              
 2ZSVRPI   V5R4M0      Zend Server for IBM i 5.6.0 ( PHP 5.3 )      
 6ZSVRPI   V5R4M0      Zend Server for IBM i 6.3.0 ( PHP 5.5 )     

On this partition, we have both Zend Server 5.6.0 and 6.3.0 installed.  Notice that in both cases the Installed Release is "V5R4M0".  The Description tells the actual version of both Zend Server and PHP.

Have more questions? Submit a request

Comments

Powered by Zendesk